﻿Namespace Stammbaum.Classen
    Namespace PictureTagger
        'HauptClasse von PictureTagger ################################
        Public Class TaggedIMG

            Private sID As String 'Datenbankeintrag - In diesemfall Dateinahme :) da INI
            Public Property ID() As String
                Get
                    Return sID
                End Get
                Set(ByVal value As String)
                    sID = value
                End Set
            End Property

            Private sTitle As String
            Public Property Title() As String
                Get
                    Return sTitle
                End Get
                Set(ByVal value As String)
                    sTitle = value
                End Set
            End Property

            Private sDescription As String
            Public Property Description() As String
                Get
                    Return sDescription
                End Get
                Set(ByVal value As String)
                    sDescription = value
                End Set
            End Property

            Private sTime As String
            Public Property Time() As String
                Get
                    Return sTime
                End Get
                Set(ByVal value As String)
                    sTime = value
                End Set
            End Property

            Private iImage As Image
            Public Property Image() As Image
                Get
                    Return iImage
                End Get
                Set(ByVal value As Image)
                    iImage = value
                End Set
            End Property

            Private sPath As String
            Public Property Path() As String
                Get
                    Return sPath
                End Get
                Set(ByVal value As String)
                    sPath = value
                End Set
            End Property

            Private oOrt As New Stammbaum.Classen.Place
            Public Property Ort() As Stammbaum.Classen.Place 'AufnahmeOrt
                Get
                    Return oOrt
                End Get
                Set(ByVal value As Stammbaum.Classen.Place)
                    oOrt = value
                End Set
            End Property

            Public Markierung() As Stammbaum.Classen.PictureTagger.Mark
            'Hier werden Funktionen und Rotienen Geschreiben die die Markierungen steuern ....
            'Ob Array oder eigene Classe steht noch nicht vest, leider

            Public Sub Clear()
                Me.sID = Nothing
                Me.iImage = Nothing
                Me.sTitle = Nothing
                Me.sDescription = Nothing
                Me.sTime = Nothing
                Me.sPath = Nothing
                Me.oOrt.Clear()
                ReDim Me.Markierung(0) '####################### <<<<======= Hier werden Funktionen und Rotienen Geschreiben die die Markierungen steuern ....
            End Sub

            Public Sub Create_NewMark(ByVal ID As Long, ByVal PositionX As Long, ByVal PositionY As Long, Optional ByVal Radius As Long = 10, Optional ByVal Description As String = "")
                '    Dim Index As Integer
                '    'If Me.Mark(0) is not Initalisiert Then
                '    '   Index = 0
                '    'Else
                '    Index = 1 + UBound(Me.Markierung)
                '    'End if
                '    ReDim Me.Markierung(Index)
                '    Me.Markierung(Index).ID = ID
                '    Me.Markierung(Index).PositionX = PositionX
                '    Me.Markierung(Index).PositionY = PositionY
                '    Me.Markierung(Index).Radius = Radius
                '    Me.Markierung(Index).Description = Description
            End Sub 'In Arbeit - Erst wenn Mark eindeutig Vestgelegt :(

        End Class 'TaggedIMG
        '#######################################################
        Public Class Mark
            Public PositionX As Long
            Public PositionY As Long
            Public ID As Long
            Public Radius As Long
            Public Description As String
        End Class 'Mark                             <<-- In Work!! Don't forget! ;) MainFeture
    End Namespace 'PictureTagger
    '#################################################
    Public Class Place
        Private sTitle As String
        Public Property Title() As String
            Get
                Return sTitle
            End Get
            Set(ByVal value As String)
                sTitle = value
            End Set
        End Property

        Private sAdresse As String
        Public Property Adresse() As String
            Get
                Return sAdresse
            End Get
            Set(ByVal value As String)
                sAdresse = value
            End Set
        End Property

        Private sDescription As String
        Public Property Description() As String
            Get
                Return sDescription
            End Get
            Set(ByVal value As String)
                sDescription = value
            End Set
        End Property

        Private sGPS As String
        Public Property GPS() As String
            Get
                Return sGPS
            End Get
            Set(ByVal value As String) 'Später eventuelle überprüfung auf format und deren Umwandlung -GPS Formate-
                sGPS = value
            End Set
        End Property

        Public Sub Clear()
            Me.sAdresse = Nothing
            Me.sDescription = Nothing
            Me.sGPS = Nothing
        End Sub

    End Class 'Place
End Namespace 'Stammbaum.Classen